PostgreSQL Bugs

Collected from the PG bugs email list.

Bug ID15472
PG Version11.0
OSOracle Linux 7
Opened2018-10-30 20:26:53+00
Reported byRichard Huesken
StatusNew

Body of first available message related to this bug follows.

The following bug has been logged on the website:

Bug reference:      15472
Logged by:          Richard Huesken
Email address:      (redacted)
PostgreSQL version: 11.0
Operating system:   Oracle Linux 7
Description:        

I was not able to create a postgis 2.5 extensions in postgres 11. The error
was :
SQL Error [XX000]: ERROR: could not load library
"/usr/pgsql-11/lib/postgis-2.5.so": /usr/pgsql-11/lib/postgis-2.5.so:
undefined symbol: geod_polygon_init
  ERROR: could not load library "/usr/pgsql-11/lib/postgis-2.5.so":
/usr/pgsql-11/lib/postgis-2.5.so: undefined symbol: geod_polygon_init

[root@ol-pg11 ~]# yum deplist postgis25_11
Loaded plugins: langpacks, ulninfo
package: postgis25_11.x86_64 2.5.0-1.rhel7.1
...
  dependency: libproj.so.0()(64bit)
   provider: proj.x86_64 4.8.0-4.el7
  dependency: libproj.so.12()(64bit)
   provider: proj49.x86_64 4.9.3-3.rhel7.1
...

I guess the dependency to proj.x86_64 4.8.0-4.el7 should be removed.

Messages

DateAuthorSubject
2018-10-30 20:26:53+00=?utf-8?q?PG_Bug_reporting_form?=BUG #15472: Error creating postgis 2.5 extension in postgres 11